%define name		phpportlet
%define version		1.0
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Servlet interface between PHP libraries and portlets
License:	Proprietary
Url:		http://www.itgroundwork.com/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://bluesunrise.com/maven/itgroundwork/jars/phpportlet-1.0.jar
NoSource:	0

BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Servlet interface between PHP libraries and portlets.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -T -c -n %{name}-%{version}
cp %{SOURCE0} .
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Thu Oct 20 2005 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- First jpackage build

